Page MenuHomePhabricator

Add local exceptions to global prefs
Closed, ResolvedPublic8 Story Points

Description

Add a checkbox below globalized preferences that permits them to have local exceptions to the global values. The global page should also note that there is a local exception.

See for details: https://meta.wikimedia.org/wiki/Community_Tech/Global_preferences#Local_exceptions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 7:02 AM

Change 383304 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Local overrides for global prefs

https://gerrit.wikimedia.org/r/383304

kaldari triaged this task as Normal priority.Oct 17 2017, 10:40 PM
kaldari set the point value for this task to 8.

This is not yet complete, but a partially-working demo is now live on the CommTech wiki: https://commtech.wmflabs.org./wiki/Special:Preferences

There are various issues, but most are tracked by subsequent tasks that will be done after the current code is merged:

All the current task is for is to get the basic functionality working: can you set a global pref and then override it locally? And then unset it either locally or globally and have the expected happen?

When a global pref has a local exception, and the global pref is made not global any more and then made global again, do you expect the local exception to still exist? Or should it have gone away when the global flag was removed?

If the local exception status should be retained, should the help text appear dynamically when the global flag is turned back on? Or just on the next page load?

Change 383304 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Local overrides for global prefs

https://gerrit.wikimedia.org/r/383304

Samwilson closed this task as Resolved.Jan 10 2018, 1:44 AM
Samwilson moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

When a global pref has a local exception, and the global pref is made not global any more and then made global again, do you expect the local exception to still exist? Or should it have gone away when the global flag was removed?
If the local exception status should be retained, should the help text appear dynamically when the global flag is turned back on? Or just on the next page load?

As it could only ever act on the local exceptions on the current wiki, it seems that the correct answer here is that it should not remove the local-exception flag when unglobalizing a preference (this is how it now works).

TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Jan 31 2018, 12:44 AM